package com.reactnativenavigation.viewcontrollers.viewcontroller

import android.content.Context
import android.view.View
import android.view.ViewGroup
import android.view.ViewGroup.LayoutParams.MATCH_PARENT
import android.widget.FrameLayout
import com.reactnativenavigation.utils.ViewUtils.removeFromParent

class ViewControllerOverlay(context: Context) {
    private val overlay = OverlayLayout(context)

    fun add(parent: ViewGroup, view: View, layoutParams: ViewGroup.LayoutParams) {
        attachOverlayToParent(parent)
        overlay.addView(view, layoutParams)
    }

    fun remove(view: View) {
        overlay.removeView(view)
        if (overlay.childCount == 0) removeFromParent(overlay)
    }

    private fun attachOverlayToParent(parent: ViewGroup) {
        if (overlay.parent == null) {
            parent.addView(overlay, MATCH_PARENT, MATCH_PARENT)
        }
    }
}