module.exports = {
  docs: {
    'Getting Started': [
      'docs/before-you-start',
      'docs/installing',
      'docs/playground-app',
      'docs/showcases',
    ],
    'Using the app': [
      'docs/app-launch',
      'docs/basic-navigation',
      'docs/advanced-navigation',
      'docs/screen-lifecycle',
      'docs/passing-data-to-components',
      'docs/functionalComponents',
    ],
    Layouts: ['docs/stack', 'docs/bottomTabs', 'docs/sideMenu', 'docs/externalComponent'],
    Hierarchy: ['docs/root', 'docs/modal', 'docs/overlay'],
    Styling: [
      'docs/style-options',
      'docs/style-theme',
      'docs/style-statusBar',
      'docs/style-orientation',
      'docs/style-animations',
      'docs/style-fonts',
      'docs/style-constants',
    ],
    'Third party integration': [
      'docs/community-libraries',
      'docs/third-party-typescript',
      'docs/third-party-mobx',
      'docs/third-party-react-context',
    ],
    Meta: ['docs/meta-contributing'],
  },
  api: {
    Navigation: ['api/component', 'api/root', 'api/stack', 'api/modal', 'api/overlay'],
    Layouts: [
      'api/layout-layout',
      'api/layout-component',
      'api/layout-stack',
      'api/layout-bottomTabs',
      'api/layout-sideMenu',
      'api/layout-splitView',
    ],
    Options: [
      'api/options-api',
      'api/options-root',
      'api/options-bottomTabs',
      'api/options-bottomTab',
      {
        Stack: [
          'api/options-stack',
          'api/options-title',
          'api/options-subtitle',
          'api/options-background',
          'api/options-backButton',
          'api/options-button',
          'api/options-iconInsets',
          'api/options-largeTitle',
        ],
      },
      'api/options-statusBar',
      'api/options-layout',
      'api/options-modal',
      'api/options-navigationBar',
      'api/options-overlay',
      'api/options-sideMenu',
      'api/options-sideMenuSide',
      'api/options-splitView',
    ],
    Events: ['api/events'],
  },
};
